gnutls_x509_crl_export(3)

NAME
gnutls_x509_crl_export - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_export(gnutls_x509_crl_t crl, gnutls_x509_crt_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_x509_crl_t crl
    Holds the revocation list

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

void * output_data
    will contain a private key PEM or DER encoded

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the revocation list to DER or PEM format. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN X509 CRL".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. and a negative error code on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/